Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.cloud.inference.api_keys.list(
project_id=1,
)
page = page.results[0]
print(page.created_at)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Cloud.Inference.APIKeys.List(context.TODO(), cloud.InferenceAPIKeyListParams{
ProjectID: gcore.Int(1),
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
curl --request GET \
--url https://api.gcore.com/cloud/v3/inference/{project_id}/api_keys \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v3/inference/{project_id}/api_keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 1,
"results": [
{
"created_at": "2023-10-01T12:00:00Z",
"deployment_names": [
"inference-1",
"inference-2"
],
"description": "This key is used for accessing the inference service.",
"expires_at": "2024-10-01T12:00:00Z",
"name": "my-api-key"
}
]
}Everywhere Inference
List inference API keys
This endpoint retrieves a list of API keys for everywhere inference.
GET
/
cloud
/
v3
/
inference
/
{project_id}
/
api_keys
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.cloud.inference.api_keys.list(
project_id=1,
)
page = page.results[0]
print(page.created_at)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Cloud.Inference.APIKeys.List(context.TODO(), cloud.InferenceAPIKeyListParams{
ProjectID: gcore.Int(1),
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Project ID
Example:
1
Query Parameters
Optional. Limit the number of returned items
Required range:
x <= 1000Example:
100
Optional. Offset value is used to exclude the first set of records from the result
Required range:
x >= 0Example:
0
⌘I